Name:           xlog
Version:        1.7
Release:        2%{?dist}
Summary:        Logging program for Hamradio Operators

Group:          Applications/Communications
License:        GPLv3
URL:            http://pg4i.chronos.org.uk/linux/%{name}.html
Source0:        http://pg4i.chronos.org.uk/download/%{name}-%{version}.tar.gz
Patch0:         xlog-1.7-doc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig, gtk2-devel, libgnomeprint22-devel, hamlib-devel
BuildRequires:  gettext, shared-mime-info, desktop-file-utils
BuildRequires:  gettext-devel
#Requires:       

%description
xlog is a logging program for amateur radio operators. The log is stored
into a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearings and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%setup -q
%patch0 -p1 -b doc
#fix bogus .desktop file
sed -i -e "s/ApplicationHamRadio/Application/g" $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop
sed -i -e "s/.png//g" $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop

%build
#missing directory from package
mkdir m4
autoreconf -i -f
%configure --enable-hamlib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/xlog.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README data/doc/manual data/doc/manual.tex data/glabels/qsllabels.glabels
%{_bindir}/%{name}
%{_datadir}/%{name}/dxcc
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome-mime-text-x-%{name}.png
%{_datadir}/icons/%{name}-icon.png
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*


%changelog
* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 1.7-2
- Proper documentation packing
- Misc cleanups

* Thu Feb 28 2008 Robert 'Bob' Jensen 1.7-1
- Upstream Version bump
- Submit for review

* Mon Dec 10 2007 Robert 'Bob' Jensen 1.6.2-2
- SPEC file clean up

* Mon Dec 10 2007 Robert 'Bob' Jensen 1.6.2-1
- Upstream Version bump

* Thu Nov 28 2007 Robert 'Bob' Jensen 1.6.1-2
- License update

* Thu Nov 28 2007 Robert 'Bob' Jensen 1.6.1-1
- Upstream Version bump to solve License issue in wwl.c

* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.6-3
- Fix mimeinfo scriptlet
- Add desktop-file-utils shebang
- Fix .desktop file
- Update files list
- Update license
- Add gettext and shared-mime-info BRs

* Thu Nov 22 2007 Robert 'Bob' Jensen 1.6-2
- Fix BRs

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.6-1
- Current xlog 1.6 requires gtk+-2.0 >= 2.12.0
- Build xlog 1.5 for F7

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.3.1-1
- Initial Fedora spec
- use Joop's spec from version 1.3.1 as a base
